Bug 189027 - RH AS2.1 cannot autopartition on 2GB
RH AS2.1 cannot autopartition on 2GB
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Cantrell
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-14 17:53 EDT by Puneet
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 10:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Puneet 2006-04-14 17:53:40 EDT
Description of problem: 
RHELAS2.1 throws anaconda error during installation while auto-partition of scsi
disk of 2Gb size.
Error is: 
"Could not allocate requested partitions:
Partitioning failed: Could not allocate partitions."


Traceback (innermost last):
  File "/usr/bin/anaconda", line 668, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 782, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 403, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/bootloader.py", line 716, in bootloaderSetupChoices
    choices = fsset.bootloaderChoices(diskSet)
  File "/usr/lib/anaconda/fsset.py", line 720, in bootloaderChoices
    bootDev = mntDict['/']
KeyError: /

Local variables in innermost frame:
diskSet: <partitioning.DiskSet instance at 847d648>
mntDict: {'/dev/pts': <fsset.Device instance at 8320c28>, '/proc': <fsset.Device
instance at 852c7b8>}
self: <fsset.FileSystemSet instance at 859d770>
entry: <fsset.FileSystemSetEntry instance at 824b4a0>


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'addswap': 1, 'indivpackage': 1,
'upgrademigratefs': 1, 'findpackages': 1, 'reconfigkeyboard': 1, 'makebootdisk':
1, 'authentication': 1, 'upgrademount': 1, 'partition': 1, 'confirmupgrade': 1,
'fdisk': 1, 'upgradeswapsuggestion': 1, 'upgrademigfind': 1, 'findinstall': 1,
'findrootparts': 1, 'reconfigcomplete': 1, 'upgradecontinue': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: []
    langNicks: None
    default: None
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01', 'lat0-sun16'),
'Spanish (Argentina)': ('es_AR', 'iso01', 'lat0-sun16'), 'Italian (Italy)':
('it_IT@euro', 'iso15', 'lat0-sun16'), 'Arabic (Lebanon)': ('ar_LB', 'iso06',
'LatArCyrHeb-16'), 'Spanish (Guatemala)': ('es_GT', 'iso01', 'lat0-sun16'),
'Malay (Malaysia)': ('ms_MY', 'iso01', 'lat0-sun16'), 'Arabic (Libyan Arab
Jamahiriya)': ('ar_LY', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Oman)': ('ar_OM',
'iso06', 'LatArCyrHeb-16'), 'Arabic (Iraq)': ('ar_IQ', 'iso06',
'LatArCyrHeb-16'), 'Arabic (Kuwait)': ('ar_KW', 'iso06', 'LatArCyrHeb-16'),
'English (South Africa)': ('en_ZA', 'iso01', 'lat0-sun16'), 'French
(Switzerland)': ('fr_CH', 'iso01', 'lat0-sun16'), 'Arabic (Bahrein)': ('ar_BH',
'iso06', 'LatArCyrHeb-16'), 'Croatian': ('hr_HR', 'iso02', 'lat2-sun16'),
'French (France)': ('fr_FR@euro', 'iso15', 'lat0-sun16'), 'Greenlandic
(Greenland)': ('kl_GL', 'iso01', 'lat0-sun16'), 'Korean (Republic of Korea)':
('ko_KR.eucKR', 'iso01', 'lat0-sun16'), 'Ukrainian': ('uk_UA', 'koi8-u',
'cyr-sun16'), 'Spanish (Mexico)': ('es_MX', 'iso01', 'lat0-sun16'), 'Greek':
('el_GR', 'iso07', 'iso07.16'), 'Spanish (El Salvador)': ('es_SV', 'iso01',
'lat0-sun16'), 'Spanish (Peru)': ('es_PE', 'iso01', 'lat0-sun16'), 'Spanish
(Honduras)': ('es_HN', 'iso01', 'lat0-sun16'), 'Spanish (Costa Rica)': ('es_CR',
'iso01', 'lat0-sun16'), 'English (Denmark)': ('en_DK', 'iso01', 'lat0-sun16'),
'Dutch (Netherlands)': ('nl_NL@euro', 'iso15', 'lat0-sun16'), 'Serbian
(Yugoslavia)': ('sr_YU@cyrillic', 'iso05', 'cyr-sun16'), 'Bosnian (Bosnia and
Herzegowina)': ('bs_BA', 'iso02', 'lat2-sun16'), 'Russian (Ukraine)': ('ru_UA',
'koi8-u', 'cyr-sun16'), 'Portuguese (Portugal)': ('pt_PT@euro', 'iso15',
'lat0-sun16'), 'Afrikaans (South Africa)': ('af_ZA', 'iso01', 'lat0-sun16'),
'Norwegian': ('no_NO', 'iso01', 'lat0-sun16'), 'Arabic (Morocco)': ('ar_MA',
'iso06', 'LatArCyrHeb-16'), 'English (Philippines)': ('en_PH', 'iso01',
'lat0-sun16'), 'Arabic (Algeria)': ('ar_DZ', 'iso06', 'LatArCyrHeb-16'),
'Indonesian': ('id_ID', 'iso01', 'lat0-sun16'), 'Danish': ('da_DK', 'iso01',
'lat0-sun16'), 'Chinese (Taiwan R.O.C.)': ('zh_TW.Big5', 'iso01', 'lat0-sun16'),
'Faroese (Faroe Islands)': ('fo_FO', 'iso01', 'lat0-sun16'), 'Galician (Spain)':
('gl_ES@euro', 'iso15', 'lat0-sun16'), 'English (New Zealand)': ('en_NZ',
'iso01', 'lat0-sun16'), 'Spanish (Bolivia)': ('es_BO', 'iso01', 'lat0-sun16'),
'Cornish (Britain)': ('kw_GB', 'iso01', 'lat0-sun16'), 'Arabic (United Arab
Emirates)': ('ar_AE', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Nicaragua)':
('es_NI', 'iso01', 'lat0-sun16'), 'German (Austria)': ('de_AT@euro', 'iso15',
'lat0-sun16'), 'Romanian': ('ro_RO', 'iso02', 'lat2-sun16'), 'Spanish
(Paraguay)': ('es_PY', 'iso01', 'lat0-sun16'), 'Hebrew (Israel)': ('he_IL',
'iso08', 'LatArCyrHeb-16'), 'German (Luxemburg)': ('de_LU@euro', 'iso15',
'lat0-sun16'), 'Spanish (USA)': ('es_US', 'iso01', 'lat0-sun16'), 'Portuguese
(Brasil)': ('pt_BR', 'iso01', 'lat0-sun16'), 'Spanish (Equador)': ('es_EC',
'iso01', 'lat0-sun16'), 'Polish': ('pl_PL', 'iso02', 'lat2-sun16'), 'Slovak':
('sk_SK', 'iso02', 'lat2-sun16'), 'Macedonian': ('mk_MK', 'iso05', 'cyr-sun16'),
'Spanish (Spain)': ('es_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Chile)':
('es_CL', 'iso01', 'lat0-sun16'), 'Arabic (Syrian Arab Republic)': ('ar_SY',
'iso06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ', 'iso02', 'lat2-sun16'), 'Irish':
('ga_IE@euro', 'iso15', 'lat0-sun16'), 'Arabic (Jordan)': ('ar_JO', 'iso06',
'LatArCyrHeb-16'), 'Italian (Switzerland)': ('it_CH', 'iso01', 'lat0-sun16'),
'German (Belgium)': ('de_BE@euro', 'iso15', 'lat0-sun16'), 'Albanian': ('sq_AL',
'iso01', 'lat0-sun16'), 'Occitan (France)': ('oc_FR', 'iso01', 'lat0-sun16'),
'Finnish': ('fi_FI@euro', 'iso15', 'lat0-sun16'), 'Swedish (Sweden)': ('sv_SE',
'iso01', 'lat0-sun16'), 'English (Singapore)': ('en_SG', 'iso01', 'lat0-sun16'),
'Dutch (Belgium)': ('nl_BE@euro', 'iso15', 'lat0-sun16'), 'Spanish (Panama)':
('es_PA', 'iso01', 'lat0-sun16'), 'Spanish (Venezuela)': ('es_VE', 'iso01',
'lat0-sun16'), 'English (Great Britain)': ('en_GB', 'iso01', 'lat0-sun16'),
'Russian': ('ru_RU.koi8r', 'koi8-u', 'cyr-sun16'), 'Norwegian, Nynorsk
(Norway)': ('nn_NO', 'iso01', 'lat0-sun16'), 'English (Zimbabwe)': ('en_ZW',
'iso01', 'lat0-sun16'), 'English (USA)': ('en_US', 'iso01', 'lat0-sun16'),
'Tagalog (Philipines)': ('tl_PH', 'iso01', 'lat0-sun16'), 'Breton (France)':
('br_FR', 'iso01', 'lat0-sun16'), 'Chinese (P.R. of China)': ('zh_CN.GB2312',
'iso01', 'lat0-sun16'), 'Arabic (Yemen)': ('ar_YE', 'iso06', 'LatArCyrHeb-16'),
'Basque (Spain)': ('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)':
('ar_QA', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': ('ar_EG', 'iso06',
'LatArCyrHeb-16'), 'French (Belgium)': ('fr_BE@euro', 'iso15', 'lat0-sun16'),
'English (Ireland)': ('en_IE@euro', 'iso15', 'lat0-sun16'), 'Hungarian':
('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic (Tunisia)': ('ar_TN', 'iso06',
'LatArCyrHeb-16'), 'French (Luxemburg)': ('fr_LU@euro', 'iso15', 'lat0-sun16'),
'Japanese': ('ja_JP.eucJP', 'iso01', 'lat0-sun16'), 'Uzbek (Uzbekistan)':
('uz_UZ', 'iso01', 'lat0-sun16'), 'Swedish (Finland)': ('sv_FI@euro', 'iso15',
'lat0-sun16'), 'Arabic (Saudi Arabia)': ('ar_SA', 'iso06', 'LatArCyrHeb-16'),
'Spanish (Dominican Republic)': ('es_DO', 'iso01', 'lat0-sun16'), 'French
(Canada)': ('fr_CA', 'iso01', 'lat0-sun16'), 'English (Canada)': ('en_CA',
'iso01', 'lat0-sun16'), 'German (Germany)': ('de_DE@euro', 'iso15',
'lat0-sun16'), 'Slovenian (Slovenia)': ('sl_SI', 'iso02', 'lat2-sun16'),
'Spanish (Uruguay)': ('es_UY', 'iso01', 'lat0-sun16'), 'German (Switzerland)':
('de_CH', 'iso01', 'lat0-sun16'), 'English (Hong Kong)': ('en_HK', 'iso01',
'lat0-sun16'), 'English (Australia)': ('en_AU', 'iso01', 'lat0-sun16'), 'Catalan
(Spain)': ('ca_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Puerto Rico)':
('es_PR', 'iso01', 'lat0-sun16'), 'Turkish': ('tr_TR', 'iso09', 'lat5-sun16'),
'Estonian': ('et_EE', 'iso01', 'lat0-sun16'), 'Arabic (Sudan)': ('ar_SD',
'iso06', 'LatArCyrHeb-16'), 'Icelandic': ('is_IS', 'iso01', 'lat0-sun16'),
'English (Botswana)': ('en_BW', 'iso01', 'lat0-sun16'), 'Manx Gaelic (Britain)':
('gv_GB', 'iso01', 'lat0-sun16')}
    info: {'SUPPORTED': None}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'sda': <PedDisk object at 84e6158>}
  tmpData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': it, 'Korean': us, 'Russian': ru, 'English': us,
'Norwegian': no-latin1, 'Swedish': se-latin1, 'French': fr-latin1, 'Japanese':
jp106, 'Slovenian': slovene, 'Czech': cz-lat2, 'Ukrainian': ua, 'Spanish': es,
'German': de-latin1-nodeadkeys, 'Danish': us, 'Icelandic': is-latin1}
    font: {'Italian': lat0-sun16, 'Korean': None, 'Russian': cyr-sun16,
'English': default8x16, 'Norwegian': lat0-sun16, 'Swedish': lat0-sun16,
'French': lat0-sun16, 'Japanese': Kon, 'Slovenian': lat2-sun16, 'Czech':
lat2-sun16, 'Ukrainian': cyr-sun16, 'Spanish': lat0-sun16, 'German': lat0-16,
'Danish': lat0-sun16, 'Icelandic': lat0-sun16}
    langNicks: {'Italian': it_IT, 'Korean': ko_KR.eucKR, 'Russian': ru_RU.koi8r,
'English': en_US, 'Norwegian': no_NO, 'Swedish': sv_SE, 'French': fr_FR,
'Japanese': ja_JP.eucJP, 'Slovenian': sl_SI, 'Czech': cs_CZ, 'Ukrainian': uk_UA,
'Spanish': es_ES, 'German': de_DE, 'Danish': da_DK, 'Icelandic': is_IS}
    langList: [Czech, Danish, English, French, German, Icelandic, Italian,
Japanese, Korean, Norwegian, Russian, Slovenian, Spanish, Swedish, Ukrainian]
    tz: {'Italian': Europe/Rome, 'Korean': Asia/Seoul, 'Russian': Europe/Moscow,
'English': America/New_York, 'Norwegian': Europe/Oslo, 'Swedish':
Europe/Stockholm, 'French': Europe/Paris, 'Japanese': Asia/Tokyo, 'Slovenian':
Europe/Ljubljana, 'Czech': Europe/Prague, 'Ukrainian': Europe/Kiev, 'Spanish':
Europe/Madrid, 'German': Europe/Berlin, 'Danish': Europe/Copenhagen,
'Icelandic': Atlantic/Reykjavik}
    tempDefault: 
    map: {'Italian': iso15, 'Korean': None, 'Russian': koi8-r, 'English': iso01,
'Norwegian': iso15, 'Swedish': iso15, 'French': iso15, 'Japanese': None,
'Slovenian': iso02, 'Czech': iso02, 'Ukrainian': koi8-u, 'Spanish': iso15,
'German': iso09, 'Danish': iso15, 'Icelandic': iso15}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {}
  videocard: primary: 0
vidCards: [<videocard.VideoCard instance at 81d9b10>]
Primary Video Card Info:
device: None
descr : Unknown Card
server: None
cardManf: None
vidRam: None
carddata: None
devID: None
fbmodes: None
fbbpp: None

  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: us
    manualModes: {'16': ['800x600']}
    mouse: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="no"
XMOUSETYPE="PS/2"

    monlist: {}
    keyRules: xfree86
    keyModel: pc105
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant: 
    videocard: FrameBufferCard instance, containing members:
      server: None
      cardManf: None
      devID: None
      probedcard: None
      vidRam: None
      device: None
      fbmodes: None
      descr: None
      fbbpp: None
      cardData: None
    keyOptions: 
    modes: {'16': ['800x600']}
    res: 800x600
    monitor: monEisa: None
monName: None
monID: Unprobed Monitor
fbmonSect: 
monHoriz: 31.5-48.5
monVert: 50-70

    skipx: 0
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 0
  instClass: InstallClass instance, containing members:
  partitions: Partitions instance, containing members:
    deletes: []
    autoPartitionRequests: [mountpoint: /   type: ext3   uniqueID:None
  size: 384M   requestSize: 384M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /usr   type: ext3   uniqueID:None
  size: 1400M   requestSize: 1400M  grow: 1   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /var   type: ext3   uniqueID:None
  size: 256M   requestSize: 256M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /home   type: ext3   uniqueID:None
  size: 512M   requestSize: 512M  grow: 1   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /boot   type: ext3   uniqueID:None
  size: 50M   requestSize: 50M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: swap   uniqueID:None
  size: 256M   requestSize: 256M  grow: 1   max: 512
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    isKickstart: 0
    zeroMbr: 0
    requests: [mountpoint: None   type: None   uniqueID:16
  size: 2047.31542969M   requestSize: 2047.31542969M  grow: 0   max: None
  start: 63L   end: 4192964L   partnum: None
  drive: sda   primary: None  
  format: None, options: None  device: sda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    autoClearPartDrives: [sda]
    reinitializeDisks: 0
    nextUniqueID: 17
    autoClearPartType: 2
    useAutopartitioning: 1
    useFdisk: 0
  extraModules: []
  mouse: Already dumped
  bootloader: x86BootloaderInfo instance, containing members:
    useGrubVal: 1
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {}
      default: None
    pure: None
    device: None
    configfile: /etc/lilo.conf
    above1024: 0
    kernelLocation: /boot/
    args: KernelArguments instance, containing members:
      args: 
    defaultDevice: None
    useLinear: 1
  timezone: Timezone instance, containing members:
    dst: 0
    tz: None
    arc: 0
    utcOffset: 0
    utc: 0
  keyboard: Keyboard instance, containing members:
    beenset: 1
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
  accounts: None
  dependencies: []
  comps: None
  upgradeRoot: None
  auth: Authentication instance, containing members:
    useNIS: 0
    sambaServer: 
    enableCache: 0
    nisServer: 
    useLdap: 0
    sambaWorkgroup: 
    krb5Kdc: 
    ldapTLS: 
    useHesiod: 0
    ldapServer: 
    nisDomain: 
    krb5Realm: 
    useLdapauth: 0
    hesiodRhs: 
    useShadow: 1
    nisuseBroadcast: 1
    useKrb5: 0
    useMD5: 1
    ldapBasedn: 
    krb5Admin: 
    hesiodLhs: 
    useSamba: 0
  upgradeDeps: 
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 1
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: -1
    portlist: 
    http: 0
    ftp: 0
  dbpath: None
  network: Network instance, containing members:
    netdevices: {}
    gateway: 
    secondaryNS: 
    hostname: localhost.localdomain
    primaryNS: 
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS: 
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 0
    entries: [FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: gid=5,mode=620
      order: 0
      mountpoint: /dev/pts
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: DevptsFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: gid=5,mode=620
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: devpts
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: defaults
      order: 0
      mountpoint: /proc
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: ProcFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: proc
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
]
    progressWindow: <method InstallInterface.progressWindow of InstallInterface
instance at 844eed8>
    waitWindow: <method InstallInterface.waitWindow of InstallInterface instance
at 844eed8>
    messageWindow: <method InstallInterface.messageWindow of InstallInterface
instance at 844eed8>
  hdList: None
firstStep: 0
method: CdromInstallMethod instance, containing members:
  progressWindow: <method InstallInterface.progressWindow of InstallInterface
instance at 844eed8>
  device: hdc
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instance at 844eed8>
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'expert': 0, 'setupFilesystems': 1, 'serial': 0,
'reconfig': 0, 'test': 0}
intf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux}
    bin: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 83e1580>
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8410408>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 81e8ce0>
    window: GtkWindow instance, containing members:
      _o: <GtkObject of type GtkWindow at 82541c0>
    prevButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8410330>
    helpFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 867e2e8>
    box: GtkVBox instance, containing members:
      _o: <GtkObject of type GtkVBox at 867e3d0>
    hbox: GtkHBox instance, containing members:
      _o: <GtkObject of type GtkHBox at 81e3af0>
    releaseButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 84103c0>
    table: GtkTable instance, containing members:
      _o: <GtkObject of type GtkTable at 81f24e8>
    windowList: []
    installFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 81f25d0>
    currentWindow: AutoPartitionWindow instance, containing members:
      partitions: Already dumped
      diskset: Already dumped
      clearLinuxRB: GtkRadioButton instance, containing members:
        _o: <GtkObject of type GtkRadioButton at 8503fb0>
      clearNoneRB: GtkRadioButton instance, containing members:
        _o: <GtkObject of type GtkRadioButton at 84a2698>
      inspect: GtkCheckButton instance, containing members:
        _o: <GtkObject of type GtkCheckButton at 8376b10>
      ics: InstallControlState instance, containing members:
        nextButton: Button_Next
        cw: Already dumped
        prevEnabled: 1
        prevButton: Button_Prev
        htmlFile: autopart
        html: 
        helpEnabled: 3
        nextEnabled: 1
        nextButtonInfo: None
        title: Automatic Partitioning
        grabNext: 0
        prevButtonLabel: None
        searchPath: [./, /usr/share/anaconda/, ./]
        helpButtonEnabled: 1
        nextButtonLabel: None
      parent: Already dumped
      driveclist: GtkCList instance, containing members:
        _o: <GtkObject of type GtkCList at 85079b8>
      intf: Already dumped
      clearAllRB: GtkRadioButton instance, containing members:
        _o: <GtkObject of type GtkRadioButton at 842e420>
      dispatch: Already dumped
    ii: Already dumped
    reloadRcQueued: 0
    dispatch: Already dumped
    dir: -1
    nextButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8410378>
    hideHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8410450>
    buttonBox: GtkHButtonBox instance, containing members:
      _o: <GtkObject of type GtkHButtonBox at 84a46a0>
    handle: 62
    stockButtons: [('Button_Prev', 'prevButtonStock', 'Back', <method
InstallControlWindow.prevClicked of InstallControlWindow instance at 849c548>),
('Button_Next', 'nextButtonStock', 'Next', <method
InstallControlWindow.nextClicked of InstallControlWindow instance at 849c548>),
('Button_Help', 'releaseButton', 'Release Notes', <method
InstallControlWindow.releaseClicked of InstallControlWindow instance at
849c548>), ('Button_Help', 'showHelpButton', 'Show Help', <method
InstallControlWindow.helpClicked of InstallControlWindow instance at 849c548>),
('Button_Help', 'hideHelpButton', 'Hide Help', <method
InstallControlWindow.helpClicked of InstallControlWindow instance at 849c548>)]
    displayHelp: 1
step: 23
dispatch: Already dumped


/tmp/syslog:
<4>Linux version 2.4.9-e.57BOOT (bhcompile@tweety.build.redhat.com) (gcc version
2.96 20000731 (Red Hat Linux 7.2 2.96-129.7.2)) #1 Thu Dec 2 20:26:11 EST 2004
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
<4> BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000ca000 - 00000000000cc000 (reserved)
<4> BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000000fef0000 (usable)
<4> BIOS-e820: 000000000fef0000 - 000000000feff000 (ACPI data)
<4> BIOS-e820: 000000000feff000 - 000000000ff00000 (ACPI NVS)
<4> BIOS-e820: 000000000ff00000 - 0000000010000000 (usable)
<4> BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000fffe0000 - 0000000100000000 (reserved)
<5>256MB LOWMEM available.
<4>found SMP MP-table at 000f6ce0
<4>hm, page 000f6000 reserved twice.
<4>hm, page 000f7000 reserved twice.
<4>hm, page 0009f000 reserved twice.
<4>hm, page 000a0000 reserved twice.
<4>On node 0 totalpages: 65536
<4>zone(0): 4096 pages.
<4>zone(1): 61440 pages.
<4>zone(2): 0 pages.
<4>Intel MultiProcessor Specification v1.4
<4>    Virtual Wire compatibility mode.
<4>OEM ID: INTEL    Product ID: 440BX        APIC at: 0xFEE00000
<4>Processor #0 Pentium 4(tm) XEON(tm) APIC version 17
<4>Processor #1 Pentium 4(tm) XEON(tm) APIC version 17
<4>Processor #2 Pentium 4(tm) XEON(tm) APIC version 17
<4>Processor #3 Pentium 4(tm) XEON(tm) APIC version 17
<4>I/O APIC #4 Version 17 at 0xFEC00000.
<4>Processors: 4
<4>Kernel command line: initrd=initrd.img lang= devfs=nomount ramdisk_size=7168
vga=788 BOOT_IMAGE=vmlinuz 
<6>Initializing CPU#0
<4>Detected 2387.199 MHz processor.
<4>Console: colour dummy device 80x25
<4>Calibrating delay loop... 4757.91 BogoMIPS
<4>Memory: 250592k/262144k available (1214k kernel code, 9172k reserved, 93k
data, 112k init, 0k highmem)
<4>Dentry-cache hash table entries: 32768 (order: 6, 262144 bytes)
<4>Inode-cache hash table entries: 16384 (order: 5, 131072 bytes)
<4>Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
<4>Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
<4>Page-cache hash table entries: 65536 (order: 7, 524288 bytes)
<7>CPU: Before vendor init, caps: 0febfbff 00000000 00000000, vendor = 0
<6>CPU: L1 I cache: 12K, L1 D cache: 8K
<6>CPU: L2 cache: 512K
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU: After vendor init, caps: 0febfbff 00000000 00000000 00000000
<7>CPU:     After generic, caps: 0febfbff 00000000 00000000 00000000
<7>CPU:             Common caps: 0febfbff 00000000 00000000 00000000
<4>CPU: Intel(R) Xeon(TM) CPU 2.40GHz stepping 08
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<4>PCI: PCI BIOS revision 2.10 entry at 0xfd9a0, last bus=1
<4>PCI: Using configuration type 1
<4>PCI: Probing PCI hardware
<3>Unknown bridge resource 0: assuming transparent
<3>Unknown bridge resource 1: assuming transparent
<3>Unknown bridge resource 2: assuming transparent
<6>PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
<3>PCI: Cannot allocate resource region 4 of device 00:07.1
<6>Limiting direct PCI/PCI transfers.
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<6>Simple Boot Flag extension found and enabled.
<4>Starting kswapd v1.8
<4>bigpage subsystem: allocated 0 bigpages (=0MB).
<5>aio_setup: num_physpages = 16384
<5>aio_setup: sizeof(struct page) = 68
<6>vesafb: framebuffer at 0xf8000000, mapped to 0xd0800000, size 4096k
<6>vesafb: mode is 800x600x16, linelength=1600, pages=0
<6>vesafb: protected mode interface info at a5f3:1f5f
<6>vesafb: scrolling: redraw
<6>vesafb: directcolor: size=0:5:6:5, shift=0:11:5:0
<4>Console: switching to colour frame buffer device 100x37
<6>fb0: VESA VGA frame buffer device
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI
enabled
<6>ttyS00 at 0x03f8 (irq = 4) is a 16550A
<6>ttyS01 at 0x02f8 (irq = 3) is a 16550A
<4>block: queued sectors max/low 166160kB/55386kB, 512 slots per queue
<4>RAMDISK driver initialized: 16 RAM disks of 7168K size 1024 blocksize
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<6>ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
<4>PIIX4: IDE controller on PCI bus 00 dev 39
<4>PIIX4: chipset revision 1
<4>PIIX4: not 100% native mode: will probe irqs later
<4>    ide1: BM-DMA at 0x1418-0x141f, BIOS settings: hdc:DMA, hdd:pio
<4>hdc: VMware Virtual IDE CDROM Drive, ATAPI CD/DVD-ROM drive
<4>ide1 at 0x170-0x177,0x376 on irq 15
<4>hdc: ATAPI 1X CD-ROM drive, 32kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>loop: loaded (max 8 devices)
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<4>md: autorun ...
<4>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<4>IP: routing cache hash table of 2048 buckets, 16Kbytes
<4>TCP: Hash tables configured (established 16384 bind 16384)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<4>Freeing initrd memory: 2964k freed
<4>EXT2-fs warning: checktime reached, running e2fsck is recommended
<4>VFS: Mounted root (ext2 filesystem).
<6>SCSI subsystem driver Revision: 1.00
<6>pcnet32_probe_pci: found device 0x001022.0x002000
<6>PCI: Found IRQ 9 for device 00:11.0
<6>    ioaddr=0x001080  resource_flags=0x000101
<6>pcnet32: PCnet/PCI II 79C970A at 0x1080, 00 0c 29 94 f5 86
<6>pcnet32: pcnet32_private lp=cf924000 lp_dma_addr=0xf924000 assigned IRQ 9.
<6>pcnet32.c:v1.25kf 26.9.1999 tsbogend@alpha.franken.de
<6>pcnet32: registered as eth0 
<6>PCI: Found IRQ 11 for device 00:10.0
<5>scsi: ***** BusLogic SCSI Driver Version 2.1.15 of 17 August 1998 *****
<5>scsi: Copyright 1995-1998 by Leonard N. Zubkoff <lnz@dandelion.com>
<5>scsi0: Configuring BusLogic Model BT-958 PCI Wide Ultra SCSI Host Adapter
<5>scsi0:   Firmware Version: 5.07B, I/O Address: 0x1060, IRQ Channel: 11/Level
<5>scsi0:   PCI Bus: 0, Device: 16, Address: 0xF4800000, Host Adapter SCSI ID: 7
<5>scsi0:   Parity Checking: Enabled, Extended Translation: Enabled
<5>scsi0:   Synchronous Negotiation: Ultra, Wide Negotiation: Enabled
<5>scsi0:   Disconnect/Reconnect: Enabled, Tagged Queuing: Enabled
<5>scsi0:   Scatter/Gather Limit: 128 of 128 segments, Mailboxes: 211
<5>scsi0:   Driver Queue Depth: 211, Host Adapter Queue Depth: 192
<5>scsi0:   Tagged Queue Depth: Automatic, Untagged Queue Depth: 3
<5>scsi0:   Error Recovery Strategy: Default, SCSI Bus Reset: Enabled
<5>scsi0: *** BusLogic BT-958 Initialized Successfully ***
<6>scsi0 : BusLogic BT-958
<4>  Vendor: VMware    Model: Virtual disk      Rev: 1.0 
<4>  Type:   Direct-Access                      ANSI SCSI revision: 02
<5>scsi0: Target 0: Queue Depth 28, Asynchronous
<4>Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
<4>SCSI device sda: 4194304 512-byte hdwr sectors (2147 MB)
<6>Partition check:
<6> sda:
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  1081.200 MB/sec
<4>   32regs    :   676.000 MB/sec
<4>   pII_mmx   :   649.200 MB/sec
<4>   p5_mmx    :   660.000 MB/sec
<4>raid5: using function: 8regs (1081.200 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<5>scsi0: Tagged Queuing now active for Target 0


Version-Release number of selected component (if applicable):


How reproducible: 100 %
Comment 1 Puneet 2006-04-14 18:01:33 EDT
Okay, to spell it more clearly:

I just tried RHELAS2.1 U6 installation with 2 GB disk
Autopartiton of 2Gb disk with:
-> "review partition" selected : Error as in comment #0
-> "review partition" unselected -> Anaconda dump as given above.
Comment 2 David Cantrell 2006-04-17 13:48:29 EDT
Looks like you're installing in VMware.  Try setting up the virtual machine
using the LSI scsi host adapter rather than the BusLogic one.  We've seen many
failures using the BusLogic driver in VMware.  LSI works great.
Comment 3 Puneet 2006-04-18 10:00:24 EDT
No. Same is the case with lsilogic scsi also.
I dont think this is specific to lsilogic/buslogic.

Autopartiton of 2Gb disk with:
-> "review partition" selected : Error as in comment #0
-> "review partition" unselected -> Anaconda dump as given above.

Comment 4 David Cantrell 2006-04-18 10:18:51 EDT
OK, so looking back at the RHEL 2.1 anaconda source, I see that 2.0GB is not
enough space for a RHEL 2.1 installation.  Bump it to at least 3.0GB and
anaconda should be able to autopartition.  I tried finding online documentation
for the RHEL 2.1 system requirements, but I was not successful.  If the minimum
in the installer was 3.0GB, the system requirements will state that somewhere.

I am able to get the "failed to autopartition" message in VMware, but then it
just drops me in the partitioning screen and I can manually make partitions.  I
don't recommend that because you will most likely run out of space during
installation, so it's probably better to bump your virtual hard disk size to at
least 3.0GB and go from there.
Comment 5 Puneet 2006-04-18 13:14:14 EDT
(In reply to comment #4)
> OK, so looking back at the RHEL 2.1 anaconda source, I see that 2.0GB is not
> enough space for a RHEL 2.1 installation.  Bump it to at least 3.0GB and
> anaconda should be able to autopartition.  I tried finding online documentation
> for the RHEL 2.1 system requirements, but I was not successful.  If the minimum
> in the installer was 3.0GB, the system requirements will state that somewhere.

Minimum Disk Space for RHELAS2.1 is 500 MB as per
http://www.redhat.com/rhel/details/limits/ 

> 
> I am able to get the "failed to autopartition" message in VMware, but then it
> just drops me in the partitioning screen and I can manually make partitions.  

As I have said earlier, you see this is when "review partition" is selected.
Try with "review partition" unselected and you get anaconda dump.


>I don't recommend that because you will most likely run out of space during
> installation, so it's probably better to bump your virtual hard disk size to at
> least 3.0GB and go from there.

That does not explain anaconda dump.
You get disk space calculation done in later part of installation. Right?

Also, this works perfectly fine with rhel3 and rhel4.
So, please dont say it's not a bug with rhel2.1

Even now if you dont care for this, feel free to close this saying "later
versions of RHEL work so need not fix..."

Thanks for you consideration.
Comment 6 David Cantrell 2006-04-18 14:04:19 EDT
OK, then I'll change it to NEXTRELEASE since it works in RHEL3 and RHEL4.  I
have also changed the component to anaconda, which is what's at fault here.

The bigger problem I have is that I can't just fix this for RHEL2.1.  After
reading the bug, I was thinking it would be a simple problem.  Unfortunately
your case is different.  Since this affects RHEL, you'll need to contact your
Technical Account Manager and open a ticket that way.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.